Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer.command
Class BrowserOpenWindowCommand

    java.lang.Object
      nextapp.echo2.webcontainer.command.BrowserOpenWindowCommand

All Implemented Interfaces:
  Command

    public class BrowserOpenWindowCommand

extends java.lang.Object
implements Command

A Web Application Container-specific `Command` to open a new browser window displaying a specific URI. This action may not be performed on a client if the client has pop-up blocking enabled.

Constructor Summary
`BrowserOpenWindowCommand(java.lang.String uri, java.lang.String name, java.lang.String features)` Creates a new `BrowserOpenWindowCommand`.
`BrowserOpenWindowCommand(java.lang.String uri, java.lang.String name, java.lang.String features, boolean replace)` Creates a new `BrowserOpenWindowCommand`.

Method Summary
`java.lang.String` | `getFeatures()` Returns the 'features' string which will be used to configure the new browser window.
`java.lang.String` | `getName()` Returns the window name.
`java.lang.String` | `getUri()` Returns the target URI.
`boolean` | `isReplace()` Determines if the new URI should replace the old one in the history.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowserOpenWindowCommand

    public BrowserOpenWindowCommand(java.lang.String uri,
                                    java.lang.String name,
                                    java.lang.String features)

  Creates a new `BrowserOpenWindowCommand`.

  Parameters:
    `uri` - the target URI
    `name` - the window name (may be null)
    `features` - the 'features' string which will be used to configure the new browser window (may be null)

### BrowserOpenWindowCommand

    public BrowserOpenWindowCommand(java.lang.String uri,
                                    java.lang.String name,
                                    java.lang.String features,
                                    boolean replace)

  Creates a new `BrowserOpenWindowCommand`.

  Parameters:
    `uri` - the target URI
    `name` - the window name (may be null)
    `features` - the 'features' string which will be used to configure the new browser window (may be null)
    `replace` - a flag indicating whether the new URI should replace the previous URI in the window's history. This flag is only relevant when using this command to replace a browser window.

Method Detail

### getFeatures

    public java.lang.String getFeatures()

  Returns the 'features' string which will be used to configure the new browser window.

  Returns:
    features the 'features' string

### getName

    public java.lang.String getName()

  Returns the window name.

  Returns:
    the window name

### getUri

    public java.lang.String getUri()

  Returns the target URI.

  Returns:
    the target URI

### isReplace

    public boolean isReplace()

  Determines if the new URI should replace the old one in the history.

  Returns:
    true if the new URI should replace the old one in the history

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD